<template>
	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>
	<v-container class="ma-auto pt-8">
		<UserData :user="users" />
		<CreateFormUser @createNewUser="createNewUser" :titleBtn="addBtn" />
	</v-container>
</template>

<script>
import UserData from '@/components/UserData.vue'
import CreateFormUser from '@/components/CreateFormUser.vue'
import { mapMutations } from 'vuex'

export default {
	name: 'AddEmployeePage',
	components: {
		UserData,
		CreateFormUser,
	},
	data() {
		return {
			users: {},
			addBtn: 'ADD EMPLOYEE',
		}
	},
	methods: {
		...mapMutations(['createEmployees']),
		createNewUser(user) {
			this.users = { ...user }
			this.createEmployees(user)
			this.$router.push(`/staff/${user.id}`)
		},
	},
}
</script>

<style lang="scss" scoped>
.v-container {
	padding-bottom: 50px;
}
</style>
